import { ValidationIssue, ValidationLevel } from "@appglue/common/dist/Common/IDesignValidationProvider";
import { FormControl } from "../Controls/FormControl";
import { FormContext } from "./FormContext";
export declare class ControlRenderContext {
    editContext: FormContext;
    runtimeIssues: ValidationIssue[];
    designIssues: ValidationIssue[];
    control: FormControl;
    selected: boolean;
    constructor(control: FormControl, editContext: FormContext);
    getRuntimeIssueText(): string | null;
    getDesignIssueText(): string | null;
    getRuntimeIssueData(): IssueData | null;
    getDesignIssueData(): IssueData | null;
    setSelected(selected: boolean): void;
}
export declare class IssueData {
    text: string | null;
    highestLevel: ValidationLevel;
    issues?: ValidationIssue[];
}
